### Hierarchy

- WaitObserverProps
  - StatefulComponentProps

## Index

### Properties

- children
- delay
- onRetry
- onTimeout
- timeout

## Properties

### Optional children

children: MaybeRenderPropChildren<WaitObserverChildrenProps>

- Defined in components/WaitObserver/WaitObserver.tsx:31

### Optional delay

delay: undefined | number

- Defined in components/WaitObserver/WaitObserver.tsx:16

Delay before rendering a component

### Optional onRetry

onRetry: undefined | function

- Defined in components/WaitObserver/WaitObserver.tsx:29

A callback function executed when retry method is called from the child component.

### Optional onTimeout

onTimeout: undefined | function

- Defined in components/WaitObserver/WaitObserver.tsx:24

A callback function executed when a timeout occurs.

### Optional timeout

timeout: undefined | number

- Defined in components/WaitObserver/WaitObserver.tsx:19

Timeout duration

Generated using TypeDoc